Operations
List operations
Returns a paginated list of operations from the authorized organization.
GET
/
v2
/
organizations
/
{organization_id}
/
operations
List operations
curl --request GET \
--url https://api.flexxible.net/v2/organizations/{organization_id}/operations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/operations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v2/organizations/{organization_id}/operations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v2/organizations/{organization_id}/operations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v2/organizations/{organization_id}/operations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v2/organizations/{organization_id}/operations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"has_next": true,
"data": [
{
"id": "64f0c2a1b2d3e4f506070811",
"organization_id": "507f1f77bcf86cd799439022",
"name": "remote_assistance",
"description": "Remote assistance operation",
"status": "finished",
"created_at": "2026-03-10T09:11:45Z",
"started_at": "2026-03-10T09:12:00Z",
"ended_at": "2026-03-10T09:15:17Z",
"microservice_id": "64f0c2a1b2d3e4f506070833",
"flow_id": "64f0c2a1b2d3e4f506070844",
"remote_support": {
"start_date": "2026-03-10T09:12:00Z",
"end_date": "2026-03-10T09:15:17Z",
"type": "unattended"
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Organization identifier.
Required string length:
24Pattern:
^[0-9a-f]{24}$Query Parameters
Page number.
Required range:
x >= 1Number of items per page.
Required range:
1 <= x <= 100Response fields separated by commas for each element.
Maximum string length:
2048JSON expression of filters on filterable resource fields.
Maximum string length:
5120Sorting expression in the format :asc|desc. In aggregate mode, only accepts group_by fields or aggregated aliases (count, <function>_<field>).
Pattern:
^([a-z_]+):(asc|desc)$JSON expression for aggregation. Structure: {"group_by":["field"],"aggregates":[{"field":"*","function":"count"}]}. Cannot be combined with fields.
Maximum string length:
1024⌘I
List operations
curl --request GET \
--url https://api.flexxible.net/v2/organizations/{organization_id}/operations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/operations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v2/organizations/{organization_id}/operations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v2/organizations/{organization_id}/operations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v2/organizations/{organization_id}/operations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v2/organizations/{organization_id}/operations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"has_next": true,
"data": [
{
"id": "64f0c2a1b2d3e4f506070811",
"organization_id": "507f1f77bcf86cd799439022",
"name": "remote_assistance",
"description": "Remote assistance operation",
"status": "finished",
"created_at": "2026-03-10T09:11:45Z",
"started_at": "2026-03-10T09:12:00Z",
"ended_at": "2026-03-10T09:15:17Z",
"microservice_id": "64f0c2a1b2d3e4f506070833",
"flow_id": "64f0c2a1b2d3e4f506070844",
"remote_support": {
"start_date": "2026-03-10T09:12:00Z",
"end_date": "2026-03-10T09:15:17Z",
"type": "unattended"
}
}
]
}